Summary   	: exim mail transfer agent
Name	  	: hhl-target-exim
Version	  	: 3.34
Release	  	: %{_hhl_build_id}.2
Source		: exim_3.34.orig.tar.gz
Source1: exim.tmpl
Patch0		: exim_3.34-1.diff.gz
Patch1		: exim-3.22-hhl-cross.diff
Patch2		: exim-3.22-install.diff
Patch3		: exim-initd.diff
Patch4		: exim-config.diff
Patch5		: exim-uid.diff
License 	: GPL
Group	  	: mail
Buildroot 	: %{_tmppath}/%{name}-%{_hhl_target_arch}-root
Prefix	  	: %{_hhl_cross_target_dir}
%define _defaultdocdir	%{_hhl_cross_target_dir}%{_hhl_target_doc_dir}

#
#	SRPM
#
%description

This MTA is rather easier to configure than smail or sendmail.
It is a drop-in replacement for sendmail/mailq/rsmtp.
Advanced features include the ability to reject connections from
known spam sites, and an extremely efficient queue processing
algorithm.

It has been setup to act only as a local mail transport agent.

#
#	RPM
#

%package -n hhl-%{_hhl_target_arch}-exim
Summary		: exim mail transfer agent
Group		: mail
AutoReqProv	: no
Conflicts	: hhl-%{_hhl_target_arch}-sendmail
%description -n hhl-%{_hhl_target_arch}-exim

This MTA is rather easier to configure than smail or sendmail.
It is a drop-in replacement for sendmail/mailq/rsmtp.
Advanced features include the ability to reject connections from
known spam sites, and an extremely efficient queue processing
algorithm.

It has been setup to act only as a local mail transport agent.

%prep
%target_check
%setup -n exim-%{version}
%patch -p1
mkdir -p Local
patch -o Local/Makefile src/EDITME debian/editme-diff
cp exim_monitor/EDITME Local/eximon.conf
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
%target_setup
make build=Linux-unknown makefile

cd build-Linux-unknown
../scripts/Configure-os.c
../scripts/Configure-os.h

make build=Linux-unknown buildconfig LIBS="-lnsl -lcrypt"
cd pcre
make build=Linux-unknown dftables
make \
	CC=%{_hhl_target_toolprefix}gcc \
	RANLIB=%{_hhl_target_toolprefix}ranlib AR="ar cq" \
	BUILDDIR=`pwd` \
	build=Linux-unknown libpcre.a
cd ..
make \
	CC=%{_hhl_target_toolprefix}gcc \
	RANLIB=%{_hhl_target_toolprefix}ranlib AR="ar cq" \
	BUILDDIR=`pwd` \
	build=Linux-unknown

%install
%target_setup
PATH=%{_hhl_cross_bin_dir}:$PATH
rm -rf %{buildroot}

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}
install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/exim
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/init.d
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/cron.daily
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/cron.d
install -d %{buildroot}%{_hhl_cross_target_dir}/etc/ppp/ip-up.d

make inst_conf=%{buildroot}%{_hhl_cross_target_dir}/etc/exim/exim.conf \
	inst_dest=%{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir} \
	build=Linux-unknown \
	install

install -m 755 debian/config %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/eximconfig
(cd %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir} ; \
		ln -sf exim rsmtp; \
		ln -sf exim sendmail; \
		ln -sf exim runq; \
		ln -sf exim rmail; \
	cd ../bin; ln -sf ../sbin/exim mailq; \
	cd ../lib; ln -sf ../sbin/exim sendmail )

install -m 755 debian/newaliases %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}
install -m 0755 debian/init.d %{buildroot}%{_hhl_cross_target_dir}/etc/init.d/exim
install -m 0755 debian/cron.daily %{buildroot}%{_hhl_cross_target_dir}/etc/cron.daily/exim
install -m 0644 debian/crontab %{buildroot}%{_hhl_cross_target_dir}/etc/cron.d/exim
install -m 0755 debian/ip-up.d %{buildroot}%{_hhl_cross_target_dir}/etc/ppp/ip-up.d/exim
install -m 0644 debian/email-addresses %{buildroot}%{_hhl_cross_target_dir}/etc/email-addresses

install -m 644 debian/{exicyclog,exigrep,exim,exim_db,exim_dbmbuild,exim_dumpdb,exim_fixdb,exim_tidydb,eximstats,exinext,exiwhat,exiqsumm,eximconfig,newaliases,rmail,rsmtp,runq,sendmail,mailq}.8 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/
gzip -9 %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_man_dir}/man8/*

install -d -m2750 %{buildroot}%{_hhl_cross_target_dir}/var/log/exim
install -d %{buildroot}%{_hhl_cross_target_dir}/var/run/exim

touch %{buildroot}%{_hhl_cross_target_dir}/etc/aliases
cp LICENCE LICENSE

install -d %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages
export HHL_TOOL_PREFIX=%{_hhl_target_toolprefix}
genpkgdesc %{buildroot}%{_hhl_cross_target_dir} %{SOURCE1} > %{buildroot}%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pml/packages/exim

%clean
rm -rf %{buildroot}

%files -n hhl-%{_hhl_target_arch}-exim
%defattr(-,root,root)

%attr(-,mail,adm) %dir %{_hhl_cross_target_dir}/var/log/exim
%attr(-,mail,mail) %dir %{_hhl_cross_target_dir}/var/run/exim
%config %dir %{_hhl_cross_target_dir}/etc/exim

%config %{_hhl_cross_target_dir}/etc/aliases
%config %{_hhl_cross_target_dir}/etc/email-addresses
%config %{_hhl_cross_target_dir}/etc/cron.d/*
%config %{_hhl_cross_target_dir}/etc/cron.daily/*
%config %{_hhl_cross_target_dir}/etc/exim/*
%config %{_hhl_cross_target_dir}/etc/init.d/*
%config %{_hhl_cross_target_dir}/etc/ppp/*

%{_hhl_cross_target_dir}%{_hhl_target_bin_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_sbin_dir}/*
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/*
%doc %{_hhl_cross_target_dir}%{_hhl_target_man_dir}/*/*
%doc LICENSE
%changelog
* Fri Apr 20 2001 Automated script (run by Steve Kinneberg <skinneberg@mvista.com>)
- Added TCT package description files
* Tue Mar 06 2001 Jeremy Puhlman <jpuhlman@mvista.com>
- first-cut hhl spec file
